<template>
  <div>
    <nav class="navbar navbar-expand-lg navbar-light bg-faded header-navbar">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" data-toggle="collapse" class="navbar-toggle d-lg-none float-left"><span class="sr-only">Toggle navigation</span><span class="icon-bar"/><span class="icon-bar"/><span class="icon-bar"/></button><span class="d-lg-none navbar-right navbar-collapse-toggle"><a aria-controls="navbarSupportedContent" href="javascript:;" class="open-navbar-container black"><i class="ft-more-vertical"/></a></span>
          <form role="search" class="navbar-form navbar-right mt-1">
            <div class="position-relative has-icon-right">
              <input type="text" placeholder="Search" class="form-control round">
              <div class="form-control-position"><i class="ft-search"/></div>
            </div>
          </form>
        </div>
        <div class="navbar-container">
          <div id="navbarSupportedContent" class="collapse navbar-collapse">
            <ul class="navbar-nav">
              <li class="nav-item mr-2 d-none d-lg-block"><a id="navbar-fullscreen" href="javascript:;" class="nav-link apptogglefullscreen"><i class="ft-maximize font-medium-3 blue-grey darken-4"/>
              <p class="d-none">Fullscreen</p></a></li>

              <locale/>

              <li class="dropdown nav-item">
                <a id="dropdownBasic2" href="#" data-toggle="dropdown" class="nav-link position-relative dropdown-toggle" @click="toggleNotif = !toggleNotif">
                  <i class="ft-bell font-medium-3 blue-grey darken-4"/><span class="notification badge badge-pill badge-danger">4</span>
                  <p class="d-none">Notifications</p>
                </a>
                <div :class="{show : toggleNotif}" class="notification-dropdown dropdown-menu dropdown-menu-right">
                  <div class="noti-list">
                    <a class="dropdown-item noti-container py-3 border-bottom border-bottom-blue-grey border-bottom-lighten-4">
                      <i class="ft-bell info float-left d-block font-large-1 mt-1 mr-2"/>
                      <span class="noti-wrapper">
                        <span class="noti-title line-height-1 d-block text-bold-400 info">New Order Received</span>
                        <span class="noti-text">Lorem ipsum dolor sit ametitaque in, et!</span>
                      </span>
                    </a>
                    <a class="dropdown-item noti-container py-3">
                      <i class="ft-bell success float-left d-block font-large-1 mt-1 mr-2"/>
                      <span class="noti-wrapper">
                        <span class="noti-title line-height-1 d-block text-bold-400 success">New User Registered</span>
                        <span class="noti-text">Lorem ipsum dolor sit ametnatus aut.</span>
                      </span>
                    </a>
                  </div>
                  <a class="noti-footer primary text-center d-block border-top border-top-blue-grey border-top-lighten-4 text-bold-400 py-1">Read All Notifications</a>
                </div>
              </li>

              <li class="dropdown nav-item">
                <a id="dropdownBasic3" href="#" data-toggle="dropdown" class="nav-link position-relative dropdown-toggle" @click="toggleUser = !toggleUser">
                  <i class="ft-user font-medium-3 blue-grey darken-4"/>
                <p class="d-none">User Settings</p></a>
                <div :class="{show : toggleUser}" ngbdropdownmenu="" aria-labelledby="dropdownBasic3" class="dropdown-menu text-left dropdown-menu-right">
                  <a href="#" class="dropdown-item py-1">
                    <i class="ft-message-square mr-2"/>
                    <span>Chat</span>
                  </a>
                  <a href="#" class="dropdown-item py-1">
                    <i class="ft-edit mr-2"/>
                    <span>Edit Profile</span>
                  </a>
                  <a href="#" class="dropdown-item py-1">
                    <i class="ft-mail mr-2"/><span>My Inbox</span>
                  </a>
                  <div class="dropdown-divider"/><a href="#" class="dropdown-item"><i class="ft-power mr-2"/><span>Logout</span></a>
                </div>
              </li>

            </ul>
          </div>
        </div>
      </div>
    </nav>
  </div>
</template>
<script>
import Locale from '~/components/locale/index.vue'
export default {
  components: {
    Locale
  },
  data() {
    return {
      toggleNotif: false,
      toggleUser: false
    }
  }
}
</script>
